# Generated by Django 3.1 on 2020-12-14 19:14

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('hooks', '0001_initial'),
    ]

    operations = [
        migrations.CreateModel(
            name='HookAccessLog',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('timestamp', models.DateTimeField(auto_now_add=True)),
                ('request_ip', models.GenericIPAddressField(blank=True, null=True)),
                ('payload', models.TextField(blank=True)),
                ('status', models.CharField(choices=[('OK', 'Ran Successfully'), ('ERR', 'Encountered Error')], default='OK', max_length=16)),
                ('log', models.TextField(blank=True)),
                ('hook', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='hooks.hook')),
            ],
        ),
    ]
